Skip to main content
GET
/
discounts
/
{id}
Get an organization discount
curl --request GET \
  --url {schemes}://api.upsun.com/discounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "organization_id": "<string>",
  "type": "allowance",
  "type_label": "<string>",
  "status": "inactive",
  "commitment": {
    "months": 123,
    "amount": {
      "monthly": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      },
      "commitment_period": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      },
      "contract_total": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      }
    },
    "net": {
      "monthly": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      },
      "commitment_period": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      },
      "contract_total": {
        "formatted": "<string>",
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>"
      }
    }
  },
  "total_months": 123,
  "discount": {
    "monthly": {
      "formatted": "<string>",
      "amount": 123,
      "currency_code": "<string>",
      "currency_symbol": "<string>"
    },
    "commitment_period": {
      "formatted": "<string>",
      "amount": 123,
      "currency_code": "<string>",
      "currency_symbol": "<string>"
    },
    "contract_total": {
      "formatted": "<string>",
      "amount": 123,
      "currency_code": "<string>",
      "currency_symbol": "<string>"
    }
  },
  "config": {},
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

The ID of the organization discount

Response

200 - application/json

A discount object

The discount object.

id
integer

The ID of the organization discount.

organization_id
string

The ULID of the organization the discount applies to.

type
enum<string>

The machine name of the discount type.

Available options:
allowance,
startup,
enterprise
type_label
string

The label of the discount type.

status
enum<string>

The status of the discount.

Available options:
inactive,
active,
expired,
deactivated
commitment
object

The minimum commitment associated with the discount (if applicable).

total_months
integer | null

The contract length in months (if applicable).

discount
object

Discount value per relevant time periods.

config
object

The discount type specific configuration.

start_at
string<date-time>

The start time of the discount period.

end_at
string<date-time> | null

The end time of the discount period (if applicable).

Last modified on March 11, 2026